#include <SoftwareSerial.h>
SoftwareSerial Serial(0, 1); // RX, TX

const int ledPin = 8;
const int buttonPin = 7;

boolean lastButton = LOW;
boolean currentButton = LOW;
boolean ledOn = false;

void setup() {
  pinMode(ledPin, OUTPUT);
  pinMode(buttonPin, INPUT);
  
  Serial.begin(9600);

  
}

boolean debounce(boolean last){
  boolean current = digitalRead(buttonPin);
  if(last != current){
    delay(5);
    current = digitalRead(buttonPin);
  }
  return current;
}

void loop() {
  currentButton = debounce(lastButton);
  if(lastButton == HIGH && currentButton == LOW){
    ledOn = !ledOn;
    Serial.println("o");
  }
  lastButton = currentButton;
  digitalWrite(ledPin, ledOn);
  
}
